<template>
	<div id="booking1">		
		<div class="container hotelblock">
			<div class="col-md-12">
				<p>Welcome! Let's book a room you'll love.</p>
				<p>Please provide us with the information stated below, we will handle the data with care.</p>
			<hr>
			</div>
				<div class="col-md-1">
					<br>
					<br>
					<input type="radio" name="gender" value="Mr." v-model="formdata.gender.value"> Mr.
				</div>
				<div class="col-md-1">
					<br>
					<br>
					<input type="radio" name="gender" value="Ms." v-model="formdata.gender.value"> Ms.
				</div>			
				<div class="col-md-5">
					First name
					<input type="text" class="form-control" id="firstName" placeholder="John" v-model="formdata.firstName.value">
				</div>
				<div class="col-md-5">
					Last name
					<input type="text" class="form-control" id="lastName" placeholder="Doe" v-model="formdata.lastName.value">
				</div>	
				<div class="col-md-4">
					Departure Date							
				</div>		
				<div class="col-md-4">
					Return Date							
				</div>	
				<div class="col-md-4">
					Rooms							
				</div>
				<div class="col-md-4">
					<input type="text" class="form-control" placeholder="dd-mm-jjjj" v-model="formdata.departureDate.value">
				</div>
				<div class="col-md-4">
					<input type="text" class="form-control" placeholder="dd-mm-jjjj" v-model="formdata.returnDate.value">
				</div>
				<div class="col-md-4">
					<div class="form-group">
						<select class="form-control" v-model="formdata.rooms.value">
							<option value="1">1 Room </option>
							<option value="2">2 Rooms</option>
							<option value="3">3 Rooms</option>
							<option value="4">4 Rooms</option>
						</select>
					</div>
				</div>
				<div class="col-md-12"><hr></div>								
				<br>
			</div>
			<button class="btn btn-danger pull-right" v-on:click="nextPage()">
	          	Pick a room</button> 
	         <button class="btn btn-link pull-right" v-on:click="previousPage()"><p>Cancel</p></button>
		</div>
</template>

<script>

	import Room from "@/models/Room.js"

	export default{
		name: 'informationComponent',
		props: {
			formdata: {
				type: Object,
				required: true,
			}						
		},
		methods: {
			nextPage(){				
				for(let i = 0;i<this.formdata.rooms.value;i++){
					this.formdata.roomList[i] = new Room.emptyRoom();
					this.formdata.roomList[i].name="Please select a room";
				}
				this.$emit('step:next')
			},
			previousPage(){
				this.$emit('step:prev')
			}
		}
	}

</script>
